org.gradle.api

## Interface Transformer<R,I>

- Type Parameters:
    `R` - The type the value is transformed to.
    `I` - The type of the value to be transformed.

      public interface Transformer<R,I>

  A `Transformer` transforms objects of type.

  Implementations are free to return new objects or mutate the incoming value.

- - ### Method Summary

    Methods
    Modifier and Type | Method and Description
    --- | ---
    `R` | `transform(I original)` Transforms the given object, and returns the transformed value.

- - ### Method Detail

    - #### transform

          R transform(I original)

      Transforms the given object, and returns the transformed value.
      Parameters:
        `original` - The object to transform.
      Returns:
        The transformed object.